export declare class XInputSuggestion {
    /**
     * Element reference
     */
    el: HTMLElement;
    /**
     * Element input reference
     */
    private input;
    onClick(): void;
    /**
     * This is called on component did load
     */
    componentDidLoad(): void;
    /**
     * Change the hightlight text on the suggestion item
     */
    computeSpanText(value: string): void;
    /**
     * Render the component
     */
    render(): any;
}
